/*
 * Copyright (C) 2014 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Jussi Pakkanen <jussi.pakkanen@canonical.com>
 */

#ifndef SOUPDOWNLOADER_H
#define SOUPDOWNLOADER_H

#include<internal/httpdownloader.h>

typedef struct _SoupSession SoupSession;

class SoupDownloader final : public HttpDownloader {

private:
    SoupSession *session;

public:
    SoupDownloader();
    virtual ~SoupDownloader();
    SoupDownloader(const SoupDownloader &o) = delete;
    SoupDownloader& operator=(const SoupDownloader &o) = delete;

    std::string download(const std::string &url) override;
};

#endif
